Bug 810664 - [abrt] nx-3.5.0-5.fc16: nxagentCreateColormap: Process /usr/libexec/nx/nxagent was killed by signal 11 (SIGSEGV)
[abrt] nx-3.5.0-5.fc16: nxagentCreateColormap: Process /usr/libexec/nx/nxagen...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
abrt_hash:133f8f945255589b8950a4cd3dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 17:49 EDT by ddamstedt
Modified: 2013-02-13 03:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (9.88 KB, text/plain)
2012-04-07 17:49 EDT, ddamstedt
no flags Details
File: backtrace (18.05 KB, text/plain)
2012-04-07 17:49 EDT, ddamstedt
no flags Details

  None (edit)
Description ddamstedt 2012-04-07 17:49:20 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
crash_function: nxagentCreateColormap
executable:     /usr/libexec/nx/nxagent
kernel:         3.3.0-4.fc16.x86_64
pid:            13107
reason:         Process /usr/libexec/nx/nxagent was killed by signal 11 (SIGSEGV)
time:           Sat 07 Apr 2012 04:30:32 PM CDT
uid:            1000
xsession_errors: 

backtrace:      Text file, 18481 bytes
maps:           Text file, 10113 bytes

build_ids:
:1e325e958424cee570aae29bd08de9695f046589
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:3cd6fe8b36e167050ad1b292dffbb6691c47e250
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:460eb197d84b119c8ba93737cd0e4486a96a0be0
:f02253e1bea2938cdef588bf63e2420845b679a3
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:86aa76c9c50267e274bad7597c4b896ae5c233af
:c872c5d447da3316197324cb9a3f4d99fa1e9687
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:d87c59d5525a993e10e66386dbb1dec7390c9b86
:8c52c48ba80762dafa77fcb3caa96567503bb8d7
:75eaece6e0d1e075520cdfad5c398fdab4370846
:9c2fbebf41a199a9ae717fbb5fdc14c8f82839ab
:c665355aa9bf03c01352e7dd05b76d134a88e8c0
:638db099ff5fb986d1a092629d1bb1dca5be4904
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:0c9f1a75ff24c6a79d0322d870ace88ea4322453
:cef99832a51acc6e89029f41b760140bee54ffed
:ff8b95ead2eb426c439b3e4e7d5b4d54e7dedc1a
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:2e3577ae0dc9a3f1c18d0b2376cb49750ef5fdf0
:50e0538b22a0baf6f774534e80192f74c75ab1f5

comment:
:Was using NXClient to jump to remote host to set up remote NXClient to home network.  
:Died after trying to put up the display.

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1332474160
:/usr/lib64/nx/libXtst.so.6.1 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332407169
:/usr/lib64/nx/libXcompshad.so.3.5.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXcomp.so.3.5.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXcomposite.so.1.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXcompext.so.3.5.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXrandr.so.2.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXrender.so.1.2.2 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332407169
:/usr/lib64/nx/libXext.so.6.4 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/libpng12.so.0.48.0 libpng-2:1.2.48-1.fc16.x86_64 (Fedora Project) 1332794594
:/usr/lib64/nx/libX11.so.6.2 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332407169
:/usr/lib64/nx/libXdamage.so.1.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/nx/libXpm.so.4.11 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332407081
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1332407174
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332407169
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc16.x86_64 (Fedora Project) 1332794595
:/usr/libexec/nx/nxagent nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1332407178
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-4.fc16.x86_64 (Fedora Project) 1332407172
:/usr/lib64/nx/libXfixes.so.3.0 nx-3.5.0-5.fc16.x86_64 (Fedora Project) 1333311893

environ:
:PATH=/usr/libexec/nx:/usr/local/bin:/bin:/usr/bin:/etc/alternatives/gem-bin
:XDG_SESSION_ID=17
:NX_CLIENT=/usr/libexec/nx/nxdialog
:SELINUX_ROLE_REQUESTED=
:SHELL=/bin/bash
:'SSH_CLIENT=127.0.0.1 55372 22'
:SELINUX_USE_CURRENT_RANGE=
:USER=ddxc
:LD_LIBRARY_PATH=/usr/lib64/nx:
:NXSESSIONID=kOSS-2001-2B65881318FE9948EEC5645369AB1E2F
:MAIL=/var/mail/ddxc
:SHADOW_XAUTHORITY=/home/ddxc/.nx/C-kOSS-2001-2B65881318FE9948EEC5645369AB1E2F/authority
:PWD=/home/ddxc
:SELINUX_LEVEL_REQUESTED=
:SLAVE_PID=12530
:SHLVL=3
:HOME=/home/ddxc
:LOGNAME=ddxc
:'SSH_CONNECTION=127.0.0.1 55372 127.0.0.1 22'
:DISPLAY=nx/nx,options=/home/ddxc/.nx/C-kOSS-2001-2B65881318FE9948EEC5645369AB1E2F/options:2001
:XDG_RUNTIME_DIR=/run/user/ddxc
:XAUTHORITY=/home/ddxc/.nx/C-kOSS-2001-2B65881318FE9948EEC5645369AB1E2F/authority
:_=/usr/libexec/nx/nxagent

var_log_messages:
:Apr  7 16:30:32 kOSS kernel: [23124.844020] nxagent[13107]: segfault at 2 ip 000000000048e4e4 sp 00007fff7201a400 error 6 in nxagent[400000+450000]
:Apr  7 16:30:32 kOSS kernel: [23124.844075] type=1701 audit(1333834232.726:555): auid=1000 uid=1000 gid=1000 ses=17 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=13107 comm="nxagent" reason="memory violation" sig=11
:Apr  7 16:30:33 kOSS abrt[13135]: Saved core dump of pid 13107 (/usr/libexec/nx/nxagent) to /var/spool/abrt/ccpp-2012-04-07-16:30:32-13107 (7151616 bytes)
Comment 1 ddamstedt 2012-04-07 17:49:25 EDT
Created attachment 575974 [details]
File: maps
Comment 2 ddamstedt 2012-04-07 17:49:28 EDT
Created attachment 575975 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-01-16 05:21:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 03:59:48 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.